pi-vote - Bug / Feature #1255

Mirror fiir PiVote-Pakete
20 July 2011 21:50 - danilo

Status: Needs Work Start date: 20 July 2011
Priority: Low Due date: 23 April 2013
Assignee: Exception % Done: 90%
Category: Distribution Estimated time: 0.75 hour
Target version: N/A

Request Type: Feature Request Affected Users: All

Affected Program: None

Description

Ware es mdglich, die PiVote Pakete an einem Ort zu mirroren, wo die URL keine variablen Bestandteile hat, wie z.B. die
Attachment-ID vom Drupal?

Ware sehr praktisch fur Paketmanager, dann kann man bei einem Update jeweils nur die Versionsnummer hochschrauben :)

Aktuell:
http://projects.piratenpartei.ch/attachments/download/256/PiVote_Client_Linux_x86_1.1.3.0.zi

Beispiel:
http://ftp.piratenpartei.ch/pivote/release/PiVote_Client_Linux_x86_1.1.3.0.zip
http://ftp.piratenpartei.ch/pivote/release/latest.zip (symlink)

Related issues:
Blocks pi-vote - Bug / Feature #4968: ArchLinux PKGBUILD update Needs Work 31 March 2013 01 May 2013

History

#1 - 21 August 2011 20:33 - Exception
- Category set to 55

- Assignee set to Simon Rupf

- Priority changed from Normal to Low

- Target version set to Backlog

#2 - 29 August 2012 00:41 - danilo

- Priority changed from Low to Normal

Habe jetzt zusatzliche Probleme beim Paketieren der aktuellen Version. Redmine leitet mich beim Download der Files auf das my.piratenpartei.ch
Login um.

Ein einfacher anonymer FTP (oder normales HTTP mit Directory Listing) wirde véllig reichen!
#3 - 16 September 2012 17:09 - Exception

- Status changed from New to 4

- % Done changed from 0 to 100

Pakete sind jetzt verfligbar unter:

e http://projects.piratenpartei.ch/download/PiVote_Client_Linux_x86 _latest.zip
e https://projects.piratenpartei.ch/download/PiVote_Client Debian_x86_latest.deb

#4 - 16 September 2012 18:19 - danilo
- Assignee changed from Simon Rupf to Exception

- % Done changed from 100 to 80

Tiptop, merci! Kdnnte man da aber auch die versionierten Pakete gleich mit erstellen? Wenn man nur die latest Pakete verwendet, breakt das altere
Setup-Scripts.
http://projects.piratenpartei.ch/attachments/download/256/PiVote_Client_Linux_x86_1.1.3.0.zip
http://ftp.piratenpartei.ch/pivote/release/PiVote_Client_Linux_x86_1.1.3.0.zip
http://ftp.piratenpartei.ch/pivote/release/latest.zip
http://projects.piratenpartei.ch/download/PiVote_Client_Linux_x86_latest.zip
https://projects.piratenpartei.ch/download/PiVote_Client_Debian_x86_latest.deb

Beispiel aus der Ticketbeschreibung:

http://.../PiVote_Client_Linux_x86_1.1.3.0.zip
http://.../latest.zip (symlink)

#5 - 13 November 2012 10:55 - danilo

- Priority changed from Normal to Urgent

- % Done changed from 80 to 20

- Estimated time changed from 0.25 h to 0.75 h

Weitere Probleme: Wenn man das PiVote ZIP herunterladt, wird man via my.piratenpartei.ch weitergeleitet, obwohl der Download kein Login
voraussetzt. Dabei scheint irgendwas schief zu laufen.

Mit wget scheints zu klappen, wenn man Redirects erlaubt:

$ wget --no-check-certificate \
https://projects.piratenpartei.ch/attachments/download/1212/PiVote_Client_Linux_x86_1.2.4.0.zip

Mit curl hingegen gibts einen infinite redirect loop:

$ curl -L --insecure \
https://projects.piratenpartei.ch/attachments/download/1212/PiVote_Client_Linux_x86_1.2.4.0.zip

-> "curl: (47) Maximum (50) redirects followed"

Da diverse Build Tools abhangig von funktionierenden Downloads sind (Arch's PKGBUILDs nutzen curl) wére es wirklich gut, wenn die ZIPs irgendwo
mirrored werden, wo es keine Redirects gibt.

Nochmal der Vorschlag aus der Ticketbeschreibung:

http://ftp.piratenpartei.ch/pivote/release/PiVote_Client_Linux_x86_1.1.3.0.zip
http://ftp.piratenpartei.ch/pivote/release/latest.zip (symlink)

Bis dahin ist sowohl der Upgrade des ArchLinux Packetes sowie die Installation des bestehenden Paketes (Ticket #2998) broken.

#6 - 03 December 2012 00:17 - Apophis
- Priority changed from Urgent to High

#7 - 08 December 2012 23:39 - Exception
- Tracker changed from 2 to Bug / Feature

- Status changed from 4 to Needs Work

#8 - 08 December 2012 23:39 - Exception
- Target version deleted (Backlog)

- Request Type set to Feature Request

- Affected Program set to None

- Affected Users set to All

#9 - 08 December 2012 23:41 - Exception

- Category set to Distribution

#10 - 09 December 2012 00:25 - Exception

- Target version set to N/A

#11 - 09 December 2012 13:12 - Exception
- Status changed from Needs Work to Needs Feedback
- % Done changed from 20 to 50

Wourden an einem neuen Ort abgelegt.

http://stan.piratenpartei.ch/download/PiVote Client Debian_x86_latest.deb
http:/stan.piratenpartei.ch/download/PiVote_Client_Linux_x86_latest.zip
https://projects.piratenpartei.ch/issues/2998
http://stan.piratenpartei.ch/download/PiVote_Client_Debian_x86_latest.deb
http://stan.piratenpartei.ch/download/PiVote_Client_Linux_x86_latest.zip

Funktioniert das jetzt wie gewiinscht?

#12 - 10 December 2012 19:44 - danilo
- Priority changed from High to Normal
- % Done changed from 50 to 90

Danke, das klappt jetzt.

Was nach wie vor fehlt, ist jeweils eine URL mit der aktuellen Versionsnummer im Pfad (wie im Ticket-Text erwdhnt). Ansonsten breakt ein Paket,
welches von dieser URL abhéngt, jedesmal wenn es eine neue Pivote-Version gibt (aufgrund von Hashes die nicht mehr stimmen).

Mit einem File-Archiv wo die versionierten URLs bestehen bleiben, passiert das nicht. Deshalb, nice to have -> 90% done.

#13 - 11 January 2013 16:55 - admin

- Assignee changed from Exception to danilo

Automaticaclly enforce assigned-to to the author of the ticket

#14 - 11 January 2013 17:12 - admin
- Due date set to 10 February 2013

Automatically enforce due date for Normal Priority to 30 days in the future

#15 - 11 January 2013 19:29 - danilo
- Status changed from Needs Feedback to Needs Work
- Assignee changed from danilo to Exception

- Priority changed from Normal to Low

#16 - 11 February 2013 00:00 - admin
- Due date changed from 10 February 2013 to 13 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#17 - 14 February 2013 00:00 - admin
- Due date changed from 13 February 2013 to 16 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#18 - 17 February 2013 00:00 - admin
- Due date changed from 16 February 2013 to 19 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#19 - 20 February 2013 00:00 - admin
- Due date changed from 19 February 2013 to 22 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#20 - 23 February 2013 00:00 - admin
- Due date changed from 22 February 2013 to 25 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#21 - 26 February 2013 00:00 - admin
- Due date changed from 25 February 2013 to 28 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty
#22 - 01 March 2013 00:00 - admin
- Due date changed from 28 February 2013 to 03 March 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#23 - 04 March 2013 00:00 - admin
- Due date changed from 03 March 2013 to 06 March 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#24 - 07 March 2013 00:00 - admin
- Due date changed from 06 March 2013 to 09 March 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#25 - 10 March 2013 00:00 - admin
- Due date changed from 09 March 2013 to 12 March 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#26 - 13 March 2013 00:00 - admin
- Due date changed from 12 March 2013 to 15 March 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#27 - 16 March 2013 00:00 - admin
- Due date changed from 15 March 2013 to 18 March 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#28 - 19 March 2013 00:00 - admin
- Due date changed from 18 March 2013 to 21 March 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#29 - 22 March 2013 00:00 - admin
- Due date changed from 21 March 2013 to 24 March 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#30 - 25 March 2013 00:00 - admin
- Due date changed from 24 March 2013 to 27 March 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#31 - 28 March 2013 00:00 - admin
- Due date changed from 27 March 2013 to 30 March 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#32 - 31 March 2013 00:00 - admin
- Due date changed from 30 March 2013 to 02 April 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#33 - 01 April 2013 00:24 - danilo
- Priority changed from Low to High
Das Archiv ist kapultt.

danilo@t410:~$ curl http://stan.piratenpartei.ch/download/PiVote_Client_Linux_x86_latest.zip

<html>

<head><title>500 Internal Server Error</title></head>
<body bgcolor="white">

<center><h1>500 Internal Server Error</hl></center>
<hr><center>nginx/1.2.6</center>

</body>

</html>

Kann man die Dateie nicht einfach als Teil des Deploy-Prozesses auf einen FTP oder ein HTTP-Verzeichnis mit directory listing laden?

#34 - 03 April 2013 00:00 - admin
- Due date changed from 02 April 2013 to 05 April 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#35 - 06 April 2013 00:00 - admin
- Due date changed from 05 April 2013 to 08 April 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#36 - 09 April 2013 00:00 - admin
- Due date changed from 08 April 2013 to 11 April 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#37 - 12 April 2013 00:00 - admin
- Due date changed from 11 April 2013 to 14 April 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#38 - 15 April 2013 00:00 - admin
- Due date changed from 14 April 2013 to 17 April 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#39 - 18 April 2013 00:00 - admin
- Due date changed from 17 April 2013 to 20 April 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#40 - 21 April 2013 00:00 - admin
- Due date changed from 20 April 2013 to 23 April 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#41 - 05 March 2014 15:52 - Exception
- Priority changed from High to Low

Keine Ressourcen frei.
